using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication22
{
    class Program
    {
        static void Main(string[] args)
        {
            long v = long.Parse(Console.ReadLine());
            string a = Convert.ToString(v);
            int n = a.Length;
            int s = 0;
            for (int i = 0; i < n; i++)
            {
                long v1 = v % 10;
                v = v / 10;
                if (v1 == 1 || v1 == 5 || v1 == 2) s = s + 1;
                else if (v1 == 7 || v1 == 6 || v1 == 3 || v1 == 4) s = s + 2;
                else if (v1 == 8 || v1 == 9) s = s + 3;
            }
            Console.WriteLine(s);
            


            

            
        }
    }
}